## taldir-1.0.5.tar.gz

=== scripts/Makefile ===
# This Makefile.am is in the public domain
# Process this file with automake to produce Makefile.in

SUBDIRS = .

# English (en)
tosendir=$(datadir)/anastasis/tos/en

# English (en)
ppendir=$(datadir)/anastasis/pp/en

# Change the set of supported languages here. You should
# also update tos'XX'data and EXTRA_DIST accordingly.
TOS_LANGUAGES="en"
PP_LANGUAGES="en"

# Change the terms-of-service version (Etag) to generate here!
# This value should be incremented whenever there is a substantive
# change in the original text (but not for the translations).
TOS_VERSION=0
PP_VERSION=0

update-tos:
	VERSION=$(TOS_VERSION) ./update-tos.sh $(TOS_LANGUAGES)
update-pp:
	VERSION=$(PP_VERSION) ./update-pp.sh $(PP_LANGUAGES)
