=== debian/control ===
Source: taler-directory
Maintainer: Martin Schanzenbach <schanzen@gnunet.org>
Build-Depends:
  golang (>=1.19)

Package: taler-directory
Architecture: any
Description: A directory service that facilitates looking up aliases for GNU Taler Wallets
Depends:
  postgresql (>=14)
